# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::TriangleIteratorMulti< TArray > Class Template Reference

For internal use only. More...

`#include <TriangleIterator.hpp>`

Inheritance diagram for vl::TriangleIteratorMulti< TArray >:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| TriangleIteratorMulti (const std::vector< GLint > *p_base_vertices, const std::vector< GLsizei > *p_count_vector, TArray *idx_array, EPrimitiveType prim_type, bool prim_restart_on, int prim_restart_idx)
void | initialize ()
bool | next ()
bool | isEnd () const

## Protected Attributes

const std::vector< GLint > * | mpBaseVertices
const std::vector< GLsizei > * | mpCountVector
int | mCurPrim
int | mStart

## Detailed Description

### template<class TArray>
class vl::TriangleIteratorMulti< TArray >

For internal use only.

See vl::TriangleIterator instead.

Definition at line 496 of file TriangleIterator.hpp.

## Constructor & Destructor Documentation

template<class TArray>

vl::TriangleIteratorMulti< TArray >::TriangleIteratorMulti | ( | const std::vector< GLint > * | p_base_vertices,
|  | const std::vector< GLsizei > * | p_count_vector,
|  | TArray * | idx_array,
|  | EPrimitiveType | prim_type,
|  | bool | prim_restart_on,
|  | int | prim_restart_idx
| ) |  | `[inline]`

Definition at line 501 of file TriangleIterator.hpp.

References vl::TriangleIteratorMulti< TArray >::mCurPrim, vl::TriangleIteratorMulti< TArray >::mpBaseVertices, vl::TriangleIteratorMulti< TArray >::mpCountVector, vl::TriangleIteratorMulti< TArray >::mStart, and VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

template<class TArray>

virtual const char* vl::TriangleIteratorMulti< TArray >::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::TriangleIteratorIndexed< TArray >.

Definition at line 499 of file TriangleIterator.hpp.

template<class TArray>

void vl::TriangleIteratorMulti< TArray >::initialize | ( | ) | `[inline]`

Definition at line 511 of file TriangleIterator.hpp.

References vl::TriangleIteratorMulti< TArray >::mCurPrim, vl::TriangleIteratorMulti< TArray >::mpBaseVertices, vl::TriangleIteratorMulti< TArray >::mpCountVector, vl::TriangleIteratorMulti< TArray >::mStart, and VL_CHECK.

Referenced by vl::TriangleIteratorMulti< TArray >::next().

template<class TArray>

bool vl::TriangleIteratorMulti< TArray >::next | ( | ) | `[inline, virtual]`

Reimplemented from vl::TriangleIteratorIndexed< TArray >.

Definition at line 523 of file TriangleIterator.hpp.

References vl::TriangleIteratorMulti< TArray >::initialize(), vl::TriangleIteratorMulti< TArray >::mCurPrim, and vl::TriangleIteratorMulti< TArray >::mStart.

template<class TArray>

bool vl::TriangleIteratorMulti< TArray >::isEnd | ( | ) | const`[inline, virtual]`

Reimplemented from vl::TriangleIteratorIndexed< TArray >.

Definition at line 539 of file TriangleIterator.hpp.

References vl::TriangleIteratorMulti< TArray >::mCurPrim.

## Member Data Documentation

template<class TArray>

const std::vector<GLint>* vl::TriangleIteratorMulti< TArray >::mpBaseVertices`[protected]`

Definition at line 548 of file TriangleIterator.hpp.

Referenced by vl::TriangleIteratorMulti< TArray >::initialize(), and vl::TriangleIteratorMulti< TArray >::TriangleIteratorMulti().

template<class TArray>

const std::vector<GLsizei>* vl::TriangleIteratorMulti< TArray >::mpCountVector`[protected]`

Definition at line 549 of file TriangleIterator.hpp.

Referenced by vl::TriangleIteratorMulti< TArray >::initialize(), and vl::TriangleIteratorMulti< TArray >::TriangleIteratorMulti().

template<class TArray>

int vl::TriangleIteratorMulti< TArray >::mCurPrim`[protected]`

Definition at line 550 of file TriangleIterator.hpp.

Referenced by vl::TriangleIteratorMulti< TArray >::initialize(), vl::TriangleIteratorMulti< TArray >::isEnd(), vl::TriangleIteratorMulti< TArray >::next(), and vl::TriangleIteratorMulti< TArray >::TriangleIteratorMulti().

template<class TArray>

int vl::TriangleIteratorMulti< TArray >::mStart`[protected]`

Definition at line 551 of file TriangleIterator.hpp.

Referenced by vl::TriangleIteratorMulti< TArray >::initialize(), vl::TriangleIteratorMulti< TArray >::next(), and vl::TriangleIteratorMulti< TArray >::TriangleIteratorMulti().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/TriangleIterator.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:47.
Permission is granted to use this page to write and publish articles regarding Visualization Library.